/**
 * Copyright (c) 2022 - present TinyVue Authors.
 * Copyright (c) 2022 - present Huawei Cloud Computing Technologies Co., Ltd.
 *
 * Use of this source code is governed by an MIT-style license.
 *
 * THE OPEN SOURCE SOFTWARE IN THIS PRODUCT IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL,
 * BUT WITHOUT ANY WARRANTY, WITHOUT EVEN THE IMPLIED WARRANTY OF MERCHANTABILITY OR FITNESS FOR
 * A PARTICULAR PURPOSE. SEE THE APPLICABLE LICENSES FOR MORE DETAILS.
 *
 */
export declare function supportBigInt(): boolean;
export declare function trimNumber(numStr: any): {
    negative: any;
    negativeStr: string;
    trimStr: any;
    integerStr: any;
    decimalStr: any;
    fullStr: string;
};
export declare function isE(number: any): number | false;
export declare function validateNumber(num: any): boolean;
/**
 * [Legacy] Convert 1e-9 to 0.000000001.
 * This may lose some precision if user really want 1e-9.
 */
export declare function getNumberPrecision(number: any): number;
/**
 * Convert number (includes scientific notation) to -xxx.yyy format
 */
export declare function num2str(number: any): string;
export declare function getMiniDecimal(value: any, decimal: any): any;
export declare class BigIntDecimal {
    constructor(value: any);
    getDecimalStr(): any;
    getIntegerStr(): any;
    getMark(): "" | "-";
    /**
     * Align BigIntDecimal with same decimal length. e.g. 12.3 + 5 = 1230000
     * This is used for add function only.
     */
    alignDecimal(decimalLength: any): bigint;
    add(value: any): any;
    negate(): BigIntDecimal;
    isNaN(): any;
    isEmpty(): any;
    isInvalidate(): any;
    lessEquals(target: any): boolean;
    equals(target: any): boolean;
    toNumber(): number;
    toString(safe?: boolean): any;
}
export declare class NumberDecimal {
    constructor(value?: string);
    negate(): NumberDecimal;
    add(value: any): NumberDecimal;
    isNaN(): boolean;
    isEmpty(): any;
    isInvalidate(): any;
    equals(target: any): boolean;
    lessEquals(target: any): boolean;
    toNumber(): any;
    toString(safe?: boolean): any;
}
export declare const setDecimalClass: (decimaljs: any) => void;
export declare function lessEquals(value1: any, value2: any): any;
export declare function equalsDecimal(value1: any, value2: any): any;
export declare function toFixed(numStr: any, precision: any, rounding?: number): string;
