/**
 * Copyright (c) 2022 - present TinyVue Authors.
 * Copyright (c) 2022 - present Huawei Cloud Computing Technologies Co., Ltd.
 *
 * Use of this source code is governed by an MIT-style license.
 *
 * THE OPEN SOURCE SOFTWARE IN THIS PRODUCT IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL,
 * BUT WITHOUT ANY WARRANTY, WITHOUT EVEN THE IMPLIED WARRANTY OF MERCHANTABILITY OR FITNESS FOR
 * A PARTICULAR PURPOSE. SEE THE APPLICABLE LICENSES FOR MORE DETAILS.
 *
 */
export declare const KEY_CODE: {
    Backspace: number;
    Tab: number;
    Clear: number;
    Enter: number;
    Shift: number;
    Control: number;
    Alt: number;
    CapsLock: number;
    Escape: number;
    Space: number;
    PageUp: number;
    PageDown: number;
    End: number;
    Home: number;
    ArrowLeft: number;
    ArrowUp: number;
    ArrowRight: number;
    ArrowDown: number;
    Insert: number;
    Delete: number;
    Colon: number;
    Semicolon: number;
    LessThan: number;
    Equals: number;
    GreaterThan: number;
    QuestionMark: number;
    AtMark: number;
    KeyA: number;
    KeyB: number;
    KeyC: number;
    KeyD: number;
    KeyE: number;
    KeyF: number;
    KeyG: number;
    KeyH: number;
    KeyI: number;
    KeyJ: number;
    KeyK: number;
    KeyL: number;
    KeyM: number;
    KeyN: number;
    KeyO: number;
    KeyP: number;
    KeyQ: number;
    KeyR: number;
    KeyS: number;
    KeyT: number;
    KeyU: number;
    KeyV: number;
    KeyW: number;
    KeyX: number;
    KeyY: number;
    KeyZ: number;
    Digit0: number;
    Digit1: number;
    Digit2: number;
    Digit3: number;
    Digit4: number;
    Digit5: number;
    Digit6: number;
    Digit7: number;
    Digit8: number;
    Digit9: number;
    F1: number;
    F2: number;
    F3: number;
    F4: number;
    F5: number;
    F6: number;
    F7: number;
    F8: number;
    F9: number;
    F10: number;
    F11: number;
    F12: number;
    NumLock: number;
    Numpad0: number;
    Numpad1: number;
    Numpad2: number;
    Numpad3: number;
    Numpad4: number;
    Numpad5: number;
    Numpad6: number;
    Numpad7: number;
    Numpad8: number;
    Numpad9: number;
    NumpadMultiply: number;
    NumpadAdd: number;
    NumpadEnter: number;
    NumpadSubtract: number;
    NumpadDecimal: number;
    NumpadDivide: number;
    NumpadComma: number;
};
export declare const POSITION: {
    Left: string;
    Right: string;
    Top: string;
    Bottom: string;
};
export declare const SORT: {
    Asc: string;
    Desc: string;
};
export declare const REFRESH_INTERVAL = 100;
export declare const IPTHRESHOLD: {
    Min: number;
    Max: number;
    NonNumeric: number;
};
export declare const DATE: {
    FullDatetime: string;
    LongDatetime: string;
    Datetime: string;
    Date: string;
    FullTime: string;
    LongTime: string;
    Time: string;
    YearMonth: string;
};
export declare const DATEPICKER: {
    Day: string;
    Date: string;
    Dates: string;
    Year: string;
    Years: string;
    YearRange: string;
    PanelYearNum: number;
    Month: string;
    Week: string;
    Normal: string;
    Today: string;
    PreMonth: string;
    NextMonth: string;
    YearI18n: string;
    List: number[];
    YearObj: {
        38: number;
        40: number;
        37: number;
        39: number;
    };
    WeekObj: {
        38: number;
        40: number;
        37: number;
        39: number;
    };
    DayObj: {
        38: number;
        40: number;
        37: number;
        39: number;
    };
    Aviailable: string;
    Default: string;
    Current: string;
    InRange: string;
    StartDate: string;
    EndDate: string;
    Selected: string;
    Disabled: string;
    Range: string;
    fullMonths: string[];
    fullWeeks: string[];
    MonhtList: string[];
    Weeks: string[];
    PlacementMap: {
        left: string;
        center: string;
        right: string;
    };
    QuarterMap: {
        0: number;
        1: number;
        2: number;
        3: number;
    };
    MonthQuarterMap: {
        0: number;
        3: number;
        6: number;
        9: number;
    };
    TriggerTypes: string[];
    DateFormats: {
        year: string;
        years: string;
        yearrange: string;
        month: string;
        time: string;
        week: string;
        date: string;
        timerange: string;
        monthrange: string;
        daterange: string;
        datetime: string;
        datetimerange: string;
    };
    Time: string;
    TimeRange: string;
    Quarter: string;
    IconTime: string;
    IconDate: string;
    DateRange: string;
    DateTimeRange: string;
    MonthRange: string;
    TimeSelect: string;
    TimesTamp: string;
    DateTime: string;
    SelectbaleRange: string;
    Start: string;
    End: string;
    Step: string;
    CompareOne: string;
    CompareHundred: string;
    selClass: string;
    queryClass: string;
    disableClass: string;
    defaultClass: string;
    Qurtyli: string;
    MappingKeyCode: {
        40: number;
        38: number;
    };
    DatePicker: string;
    TimePicker: string;
};
export declare const BROWSER_NAME: {
    IE: string;
    Edge: string;
    Chrome: string;
    Firefox: string;
};
export declare const MOUSEDELTA = 120;
export declare const VALIDATE_STATE: {
    Validating: string;
    Success: string;
    Error: string;
};
export declare const CASCADER: {
    SvgStr: string;
    CascaderNodeExpand: string;
    CascaderNodeTab: string;
    ScrollWrap: string;
    CascaderActice: string;
    ActivePath: string;
    PropsObject: {
        'expand-trigger': string;
        'change-on-select': string;
        'hover-threshold': string;
    };
    EventObject: {
        'active-item-change': string;
    };
    SugItem: string;
    CascaderMenu: string;
    InputClass: string;
    TagClass: string;
    ListClass: string;
    PropsExpandTri: string;
    PropsCheckStric: string;
    PropsHover: string;
    MenuConnector: string;
};
export declare const version: string | undefined;
