/**
 * Copyright (c) 2022 - present TinyVue Authors.
 * Copyright (c) 2022 - present Huawei Cloud Computing Technologies Co., Ltd.
 *
 * Use of this source code is governed by an MIT-style license.
 *
 * THE OPEN SOURCE SOFTWARE IN THIS PRODUCT IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL,
 * BUT WITHOUT ANY WARRANTY, WITHOUT EVEN THE IMPLIED WARRANTY OF MERCHANTABILITY OR FITNESS FOR
 * A PARTICULAR PURPOSE. SEE THE APPLICABLE LICENSES FOR MORE DETAILS.
 *
 */
export declare const warning: () => undefined;
/**
 * @description 转换返回错误的数据结构
 */
export declare function convertFieldsError(errors: any): {} | null;
/**
 * @description 生成校验错误的提示信息
 * @param i18nTemplate 带占位符的字符串
 * @param rest 替换占位符的字符串
 * 例：format('%s 必须等于 %s', 'A', 'B') 返回 A 必须等于 B
 */
export declare function format(i18nTemplate: Function | string, ...rest: string[]): any;
/**
 * @description 判断对应的类型是否是空值
 */
export declare function isEmptyValue(data: any, dataType: any): boolean;
/** TINY_DUP  type.ts  TINY_NO_USED */
export declare function isEmptyObject(data: any): boolean;
/**
 * @description 转换返回错误的数据结构
 */
export declare function asyncMap(objArray: any, option: any, func: any, callback: any): Promise<unknown>;
/**
 * @description 处理返回的错误
 */
export declare function complementError(rule: any): (onError: any) => any;
/**
 * @description 深度合并
 */
export declare function deepMerge(target: any, sources: any): any;
